Outlines Only plug-in, Comic Outlines group

Comic Outlines is the default stylization used by Roto Toon for its edge detection, otherwise known as the lines around the color fields. You can think of Comic as looking like the penciled and inked edges of a graphic novel. Generally this looks like black lines with no direct shading. The style varies depending upon how you set up the Comic controls. An alternative to Comic outlining is the Soft Outlines group, which outlines the cartoon fields in a different method.

Comic checkbox

Turned on by default. Turning this option on will activate the Comic controls. This produces comic-book style edges that are hard-edged and black-and-white. Comic lines take their color from the global Outline Color control. The background is set by the global Background Color control. Turning off the Soft checkbox will give you a blank canvas, unless the Soft group or another Outline style is active.

At left, the original footage. In middle, Comic checkbox on.

Sensitivity

Determines how much detail will be picked up by the Comic edge algorithm. Sensitivity adds in the color of the Outline Color control, which is black by default.

The default is 60%. Value range is 0 to 100. Lowering the value considerably, like to 10 or 20%, may cause the control to have no effect. Raising this will increase the amount of edge detail. Raising the value to 100% will saturate the image in the Outline Color because so much edge is added.

The higher the Sensitivity, the denser the comic outlines will appear in the dark areas. High Sensitivity values can also produce strange artifacts as the algorithm picks up edges in gradients. This usually happens in darker regions where there isn’t much detail. The artifacts look like squiggly lines in areas that clearly shouldn’t have lines.

Left to right: Sensitivity 30, 75, and 90. The lines fill in around the darker parts of the image as the value goes higher.

Strength

Determines how heavily the Comic lines are drawn. Increase this for a heavier woodblock/linotype effect. The default is 60%. Value range is from 0 to 100.

Strength works very closely with Sensitivity. Generally Strength will make lines darker and thicker, while Sensitivity will cause more lines to appear. However, high Strength values will also cause more lines to appear and high Sensitivity values will make lines darker.

Left to right: Strength 30, 75, and 90. The lines fill in around the darker parts of the image as the value goes higher.

At left, Sensitivity at 30, Strength at 100. At right, Sensitivity 90, Strength 30. Mixing the two controls can create interesting effects.

Thickness

Sets how thick the Comic lines are drawn. The default is 2. Value range is from 1 to 30. Thickness can have some interesting effects if you really crank up the value. You can get a brush painting or woodcut look depending upon how other controls are set.

Left to right: Thickness at 1, 3 and 6.

Transparency

This sets the opacity level of the Comic effect. The default is 0%, which is fully transparent. Value range is from 0 to 100. The higher the value, the more transparent the Comic lines are. The lower the value, the more opaque they are.

Left to right: Transparency at 50, and Transparency at 50 with Blend With Original at 50, Transparency at 0 with Blend at 50.

Antialias

Antialias is a percentage slider for the final output that helps to tone down any jagged edges. Default value is 100%. Value range is 0 to 100.

An Antialias of 0% is very slightly faster, but otherwise the render speed is the same as at higher values. Sometimes Antialias of 100% can look a bit blurry. If this is the case, just lower the setting a bit.

Outline Quality pop-up

Determines the quality of the Comic effect, or basically the amount of detail that is affected by any setting. The pop-up menu has two options, a Fast Quality and High Quality. Set it to Fast for better interaction while changing settings. Always set it to High before rendering the image for final output.